Page MenuHomePhabricator

Display Spur data on IPInfo infobox
Open, MediumPublic

Description

Motivation

As a user investigating temporary user contributions, I want to see reliable data about their IP address.

This ticket outlines which data in IP Info will be fetched from which data source. This ticket intends to serve as the authoritative source on which data will be displayed in IP Info after Spur integration.

Mock

IP-Info-box(default).png (552×932 px, 50 KB)

Figma design file

Data breakdown
FieldSourceHelp text
LocationMaxmindThe geographic location associated with the IP address.
ISPMaxmindThe Internet Service Provider associated with the IP address.
ASNMaxmindThe autonomous system number associated with the IP address.
OrganizationMaxmindThe organization operating this IP address.
VersionParsed by MediaWikiIP address version v4 or v6
BehaviorsSpur - client.behaviorsSpecific types of activity devices on this IP Address have engaged in or have been previously affiliated with.
RisksSpur - risksRisks that Spur has determined based on their collection of data. These risks vary and will matter differently based on specific use-cases of Spur Context data.
Connection typeSpur - client.typesThe different type of client devices that have been observed on this IP address.
Tunnel operatorSpur-tunnels[].operatorThe provider or operator of the VPN service.
ProxiesSpur - client.proxiesProxies that have been observed on clients using this IP address. This does not implicate all traffic from this IP Address to this proxy network, but rather the presence of a proxy on this IP Address and the ability for it to be used as a proxy.
Users on this IPSpur - client.countThe average number of clients that have been observed on this IP address by Spur. It takes into account all activity from this IP address. This is calculated over a 24 hour period.
Active blocksOn-wiki dataThe number of active blocks against this IP address.
ContributionsOn-wiki dataThe number of wiki edits made from this IP address.
Useful links
Acceptance criteria
  • The infobox displays data as tabulated above, using the correct fields, sources and help text

Related Objects

StatusSubtypeAssignedTask
In Progress Niharika
OpenNone
OpenSTran
ResolvedTchanders
Resolvedkostajh
OpenNone
DeclinedNone
ResolvedSTran
InvalidNone
Resolvedkostajh
Resolvedkostajh
ResolvedBUG REPORT AGueyte
DeclinedBUG REPORT TThoabala
DeclinedBUG REPORTNone
ResolvedBUG REPORT TThoabala
ResolvedBUG REPORT AGueyte
ResolvedBUG REPORT TThoabala
DeclinedBUG REPORT TThoabala
DeclinedBUG REPORT AGueyte
InvalidBUG REPORTNone
InvalidNone
ResolvedBUG REPORT TThoabala
ResolvedSTran
ResolvedSTran
ResolvedTchanders
ResolvedTchanders
ResolvedSTran
ResolvedSTran
ResolvedTchanders
DeclinedNone
ResolvedTchanders
ResolvedTchanders
ResolvedSTran
ResolvedNone
ResolvedSTran
OpenBUG REPORTTchanders
Resolvedkostajh
Resolvedjijiki
Resolvedkostajh
OpenSTran
DuplicateNone
ResolvedSTran
DuplicateSTran
Resolvedkostajh
Resolvedjijiki
Resolvedkostajh
ResolvedBUG REPORTkostajh
Resolvedkostajh

Event Timeline

Niharika created this task.
KColeman-WMF updated the task description. (Show Details)
KColeman-WMF subscribed.
Niharika renamed this task from [WIP] IP Info data sources to IP Info data list (Spur and MaxMind) .Oct 17 2023, 8:41 PM
Tchanders renamed this task from IP Info data list (Spur and MaxMind) to [Epic] Display Spur data on IPInfo infobox.Oct 25 2023, 2:42 PM
Tchanders updated the task description. (Show Details)
Tchanders updated the task description. (Show Details)
Tchanders renamed this task from [Epic] Display Spur data on IPInfo infobox to Display Spur data on IPInfo infobox.Oct 25 2023, 3:12 PM

I've missed it if we came to a conclusion earlier but could we confirm our treatment of the values?

Specifically, behaviors can return FILE_SHARING and a very long list of possible services (see https://docs.spur.us/data-types?id=client-behavior-enums). It seems reasonable to translate "File sharing" but what should we do about the others? eg.

	"behaviors": [
		"TOR_PROXY_USER",
		"FILE_SHARING",
		"SMILE_VPN_USER",
		"WARP_VPN_USER",

Presumably, whatever answer we come to here can be used for proxies and tunnel operators, which return similar lists.

Connection types and risks have reasonably enumerable lists and can be translated as expected.

cc @JSengupta-WMF @KColeman-WMF

image.png (1×3 px, 256 KB)

And an example of how a very used IP could look. Many of these attributes can return more than one result.

Change 989827 had a related patch set uploaded (by STran; author: STran):

[mediawiki/extensions/IPInfo@master] Display IPoid data on IPInfo infobox

https://gerrit.wikimedia.org/r/989827

Change 989827 merged by jenkins-bot:

[mediawiki/extensions/IPInfo@master] Display IPoid data on IPInfo infobox

https://gerrit.wikimedia.org/r/989827

dom_walden subscribed.

Questions perhaps for @KColeman-WMF.

Do we need to review the wording in the help text?

Do we want the lists of "Behaviors", "Proxies", etc. to always be alphabetically ordered? Currently I believe the order can vary. This might make comparing data for two IP addresses harder to do.

There is also an open questions from @STran in T341395#9452875.

Otherwise, I have no other concerns and will move this along.

Test environment: IP Info 0.0.0 (19f6b7f) 08:17, 19 January 2024. ipoid commit e0250e5f4cb6942c5ccbbddc299458f624ecc01c.

Questions perhaps for @KColeman-WMF.

Do we need to review the wording in the help text?

Do we want the lists of "Behaviors", "Proxies", etc. to always be alphabetically ordered? Currently I believe the order can vary. This might make comparing data for two IP addresses harder to do.

There is also an open questions from @STran in T341395#9452875.

Hi @dom_walden

The help text provided in the table above has already been reviewed by product/design.

With regards the question from @STran: I think it makes sense to display the values as they are provided on Spur, expect when it's obvious what the ideal translation is. If we are including a line about the data source (as per design) then perhaps we can link to the Spur documentation?

If we are including a line about the data source (as per design) then perhaps we can link to the Spur documentation?

Was this superseded by the link to the legal notice? Or do we intend to show both?